Subject: Re: [PATCH net-next 0/2] net: usb: qmi_wwan implement tx packets aggregation

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Oct 2022 17:55:58 -0700

On Wed, 19 Oct 2022 17:48:35 +0200 Greg KH wrote:
> > It's not just that it's not the preferred way.. I believe I promised
> > that we wouldn't add anything more to this interface.  And then I broke
> > that promise, promising that it would never happen again.  So much for
> > my integrity.
> > 
> > This all looks very nice to me, and the results are great, and it's just
> > another knob...
> >   
> 
> Please no more sysfs files for stuff like this.  This turns into
> vendor-specific random files that no one knows how to change over time
> with no way to know what userspace tools are accessing them, or if even
> anyone is using them at all.
> 
> Shouldn't there be standard ethtool apis for this?

Not yet, but there should. We can add the new params to 
struct kernel_ethtool_coalesce, and plumb them thru ethtool netlink.
No major surgery required. Feel free to ask for more guidance if the
netlink-y stuff is confusing.